package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * WsReceived generated by hbm2java
 */
@Entity
@Table(name="ws_received"
    ,schema="public"
)
public class WsReceived  implements java.io.Serializable {


     private Long id;
     private WsForwardInSettings wsForwardInSettings;
     private String sourceIpAddress;
     private String data;
     private Date createdAt;
     private String wsMessageUuid;
     private String destination;
     private String wsReceivedStatusType;
     private Set<TemporarySmsStorage> temporarySmsStorages = new HashSet<TemporarySmsStorage>(0);
     private Set<SmsSent> smsSents = new HashSet<SmsSent>(0);

    public WsReceived() {
    }

    public WsReceived(WsForwardInSettings wsForwardInSettings, String sourceIpAddress, String data, Date createdAt, String wsMessageUuid, String destination, String wsReceivedStatusType, Set<TemporarySmsStorage> temporarySmsStorages, Set<SmsSent> smsSents) {
       this.wsForwardInSettings = wsForwardInSettings;
       this.sourceIpAddress = sourceIpAddress;
       this.data = data;
       this.createdAt = createdAt;
       this.wsMessageUuid = wsMessageUuid;
       this.destination = destination;
       this.wsReceivedStatusType = wsReceivedStatusType;
       this.temporarySmsStorages = temporarySmsStorages;
       this.smsSents = smsSents;
    }
   
     @SequenceGenerator(name="generator", sequenceName="ws_received_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="ws_forward_in_id")
    public WsForwardInSettings getWsForwardInSettings() {
        return this.wsForwardInSettings;
    }
    
    public void setWsForwardInSettings(WsForwardInSettings wsForwardInSettings) {
        this.wsForwardInSettings = wsForwardInSettings;
    }

    
    @Column(name="source_ip_address")
    public String getSourceIpAddress() {
        return this.sourceIpAddress;
    }
    
    public void setSourceIpAddress(String sourceIpAddress) {
        this.sourceIpAddress = sourceIpAddress;
    }

    
    @Column(name="data")
    public String getData() {
        return this.data;
    }
    
    public void setData(String data) {
        this.data = data;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="created_at", length=29)
    public Date getCreatedAt() {
        return this.createdAt;
    }
    
    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    
    @Column(name="ws_message_uuid")
    public String getWsMessageUuid() {
        return this.wsMessageUuid;
    }
    
    public void setWsMessageUuid(String wsMessageUuid) {
        this.wsMessageUuid = wsMessageUuid;
    }

    
    @Column(name="destination")
    public String getDestination() {
        return this.destination;
    }
    
    public void setDestination(String destination) {
        this.destination = destination;
    }

    
    @Column(name="ws_received_status_type")
    public String getWsReceivedStatusType() {
        return this.wsReceivedStatusType;
    }
    
    public void setWsReceivedStatusType(String wsReceivedStatusType) {
        this.wsReceivedStatusType = wsReceivedStatusType;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="wsReceived")
    public Set<TemporarySmsStorage> getTemporarySmsStorages() {
        return this.temporarySmsStorages;
    }
    
    public void setTemporarySmsStorages(Set<TemporarySmsStorage> temporarySmsStorages) {
        this.temporarySmsStorages = temporarySmsStorages;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="wsReceived")
    public Set<SmsSent> getSmsSents() {
        return this.smsSents;
    }
    
    public void setSmsSents(Set<SmsSent> smsSents) {
        this.smsSents = smsSents;
    }




}


